POST api/mediwaveprogramstepapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediWaveProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| mediwave_program_step_type_id | globally unique identifier |
Required |
|
| name | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"code": 2,
"id": "3f9da3ac-3a7c-4169-b5a5-37f90c8bf1df",
"program_id": "7f82a57b-a70f-436e-90ce-06c4055e7f57",
"mediwave_program_step_type_id": "00e5a4b0-ae4b-4af1-adca-7c3c363018e5",
"name": "sample string 6"
}
application/xml, text/xml
Sample:
<mediwave_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>2</code> <id>3f9da3ac-3a7c-4169-b5a5-37f90c8bf1df</id> <mediwave_program_step_type_id>00e5a4b0-ae4b-4af1-adca-7c3c363018e5</mediwave_program_step_type_id> <name>sample string 6</name> <program_id>7f82a57b-a70f-436e-90ce-06c4055e7f57</program_id> </mediwave_program_step>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"a6170530-e95a-4abe-bebb-ef6043a01832"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">a6170530-e95a-4abe-bebb-ef6043a01832</guid>